LibreOffice: FunctionAccess Service Reference

LibreOffice LibreOffice 5.2 SDK API Reference

Included Services | Exported Interfaces | Public Attributes | List of all members
FunctionAccess Service Referencepublished

allows generic access to all spreadsheet functions. More...

`import"FunctionAccess.idl";`

Inheritance diagram for FunctionAccess:

## Included Services
service | com::sun::star::sheet::SpreadsheetDocumentSettings
| contributes properties to control the behavior of some functions (i.e. More...

## Exported Interfaces
interface | com::sun::star::sheet::XFunctionAccess
| provides calculating the result of a spreadsheet function. More...
Exported Interfaces inherited from SpreadsheetDocumentSettings
interface | com::sun::star::beans::XPropertySet
| published service PropertySet More...

## Public Attributes
boolean | IsArrayFunction
| specifies whether the function call is performed as array function call. More...
Public Attributes inherited from SpreadsheetDocumentSettings
boolean | IsIterationEnabled
| enables iterated calculation of circular references. More...
long | IterationCount
| specifies how many iterations are carried out. More...
double | IterationEpsilon
| specifies the point at which a change in results will stop the iteration. More...
short | StandardDecimals
| specifies the number of decimals in the default number format. More...
com::sun::star::util::Date | NullDate
| specifies the date that is represented by the value zero. More...
short | DefaultTabStop
| specifies the width of default tabulators. More...
boolean | IgnoreCase
| specifies whether upper and lower cases are treated as equal when comparing cells. More...
boolean | CalcAsShown
| specifies whether calculations are performed with the rounded values displayed in cells (set to `TRUE`) instead of the internal values (set to `FALSE`). More...
boolean | MatchWholeCell
| specifies whether filter criteria must match entire cell contents. More...
boolean | SpellOnline
| enables online spell checking. More...
boolean | LookUpLabels
| specifies whether column or row labels are looked up from anywhere on the sheet. More...
boolean | RegularExpressions
| specifies whether regular expressions in formulas are enabled, e.g., for functions which look up spreadsheet contents. More...
com::sun::star::i18n::XForbiddenCharacters | ForbiddenCharacters
| contains the interface XForbiddenCharacters. More...
boolean | HasDrawPages
| If this property is set the document has DrawPages. More...
com::sun::star::lang::Locale | CharLocale
| contains the standard document language for Western text. More...
com::sun::star::lang::Locale | CharLocaleAsian
| contains the standard document language for Asian text. More...
com::sun::star::lang::Locale | CharLocaleComplex
| contains the standard document language for Complex text. More...
boolean | IsLoaded
| specifies whether the document data are already loaded. More...
boolean | IsUndoEnabled
| specifies whether the undo command is enabled. More...
boolean | IsAdjustHeightEnabled
| specifies whether the automatic adjustment of the row height is enabled. More...
boolean | IsExecuteLinkEnabled
| specifies whether the automatic execution of links is enabled. More...
com::sun::star::awt::XDevice | ReferenceDevice
| contains the reference device used for formatting the document. More...
boolean | RecordChanges
| specifies whether changes record is enabled. More...
boolean | IsRecordChangesProtected
| specifies whether changes record is protected. More...
boolean | Wildcards
| specifies whether wildcards in formulas are enabled, e.g., for functions which look up spreadsheet contents. More...

## Additional Inherited Members
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XFunctionAccess
any | callFunction ([in] string aName, [in] sequence< any > aArguments) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::IllegalArgumentException )
| calls a function and returns the result of the call. More...

## Detailed Description

allows generic access to all spreadsheet functions.

Developers Guide
  Spreadsheets - Function Handling - Calculating Function Results

## Exported Interfaces

## § com::sun::star::sheet::SpreadsheetDocumentSettings

service com::sun::star::sheet::SpreadsheetDocumentSettings

contributes properties to control the behavior of some functions (i.e.

NullDate, IgnoreCase, RegularExpressions).

## Exported Interfaces

## § com::sun::star::sheet::XFunctionAccess

interface com::sun::star::sheet::XFunctionAccess

provides calculating the result of a spreadsheet function.

## Member Data Documentation

## § IsArrayFunction

boolean IsArrayFunction
| optionalproperty

specifies whether the function call is performed as array function call.

If set to `TRUE`, the result of the function call will be calculated similar to array formulas in a spreadsheet document. The return value of the function call will usually be a sequence of sequences containing the values of the resulting array. Example: If the function ABS is called for a 3x2 cell range, the result will be a 3x2 array containing the absolute values of the numbers contained in the specified cell range.

If set to `FALSE`, the result of the function call will be calculated similar to simple cell formulas in a spreadsheet document. The return value of the function call will usually be a single value. Of course, some functions always return an array, for example the MUNIT function.

For compatibility with older versions, the default value of this property is `TRUE`.

Since
  OOo 3.3

The documentation for this service was generated from the following file:

- com/sun/star/sheet/FunctionAccess.idl